var map;
var polygon;
var polygonLayer;

function doLoad(lat, lng, zoom) {

	// @ts-ignore
	OpenLayers.IMAGE_RELOAD_ATTEMPTS = 3;
    // OpenLayers.Control.PinchZoom;

	// @ts-ignore
	map = new OpenLayers.Map({
		div: "osmmap",
		// @ts-ignore
		projection: new OpenLayers.Projection("EPSG:900913"),
		units: "m",
		maxResolution: 156543.0339,
		// @ts-ignore
		maxExtent: new OpenLayers.Bounds(
			-20037508, -20037508, 20037508, 20037508.34
		)
	});

   // @ts-ignore
   map.addControl(new OpenLayers.Control.ScaleLine({bottomOutUnits: '', geodesic:true}));

    // @ts-ignore
    var osm = new OpenLayers.Layer.OSM("OpenStreetMap",
    // Official OSM tileset as protocol-independent URLs
    [
        '//a.tile.openstreetmap.org/${z}/${x}/${y}.png',
        '//b.tile.openstreetmap.org/${z}/${x}/${y}.png',
        '//c.tile.openstreetmap.org/${z}/${x}/${y}.png'
    ],
    null);


 
    // @ts-ignore
    var n2k = new OpenLayers.Layer.WMS(
        "&nbsp;Natura&nbsp;2000&nbsp;(september&nbsp;2017)", "https://www.synbiosys.alterra.nl/geoserver/wms",
        {
            layers: 'Natuurgebieden:n2kgebieden',
            format: 'image/png',
            transparent: true //,
            // cql_Filter: "n2k_id=57"
        },
        {singleTile: true, ratio: 1, reproject: false}
    );

	// @ts-ignore
	polygonLayer = new OpenLayers.Layer.Vector("Polygon Layer");

	map.addLayers([osm, polygonLayer]);

	// @ts-ignore
	polygon = new OpenLayers.Control.DrawFeature(polygonLayer, OpenLayers.Handler.Polygon);
	map.addControl(polygon);
	polygon.activate();

    polygon.events.register('featureadded', polygon, function(evt) {
        var wkt = evt.feature.geometry.toString();
        document.cookie = "wkt=" + wkt + ";SameSite=Strict";
    });
    // @ts-ignore
    map.setCenter(new OpenLayers.LonLat(lng, lat).transform(new OpenLayers.Projection("EPSG:4326"), map.getProjectionObject()), zoom);
}

function clearMap() {
	polygonLayer.removeAllFeatures();
    document.cookie = 'wkt=;Max-Age=-99999999;';
};


/*
        polygonLayer.removeAllFeatures();
        var polygon = new OpenLayers.Format.WKT();
        var features = wkt.read(wkt);
        if (features.constructor != Array) {
            features = [features];
        }
        polygonLayer.addFeatures(features);
        map.setCenter(new OpenLayers.LonLat(lng, lat), zoom);


*/